$(function() {
	$(document).on("click",".fn_automattic",function(event){
		$.ajaxblock();
		let datos = ($(this).data('all')) ? {action:'sincronizar'} : {art_id:$(this).data('id'),action:'sincronizar'};
		$.ajax({
			url: $(this).data('url'),
			type: 'POST',
			data: datos,
		})
		.done(function(data) {
			swal({title:"Sincronizacion completa" ,icon:"success"});
			$.ajaxunblock();
		})
		.fail(function(jqXHR, textStatus, errorThrown) {
		  let errors = JSON.stringify(jqXHR);
		  swal({title:"La aplicacion finalizo con un error interno chequee las credenciales" ,icon:"warning"});
		})
		.always(function() {
			console.log("complete");
		});
		event.preventDefault();
	});
});